Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 627531 - Lighnting deals on Amazon shows only closed teasers
: Lighnting deals on Amazon shows only closed teasers
: regression
Product: Tech Evangelism Graveyard
Classification: Graveyard
Component: English US (show other bugs)
: unspecified
: All All
: -- normal
: ---
Assigned To: english-us
Depends on:
Blocks: 642201
  Show dependency treegraph
Reported: 2011-01-20 14:25 PST by montihouse
Modified: 2015-04-19 23:39 PDT (History)
24 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Description montihouse 2011-01-20 14:25:06 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv: Gecko/20101203 Toolbar 2.0.1 Firefox/3.6.13 GTB7.1
Build Identifier: Firefox 4 beta 9 , i think it was 077

Amazon Gold Box site - - has "lightening deals" on right side - Firefox 4 only shows closed deals, not current offer or upcoming teasers 

Additionally, I expected to be able to run 4.0 at the same time as 3.6 - no matter where I tried to start 3.6 from, including the actual program in the 3.6 file directory, all that would start was another instance of 4.0 - result, 4.0 has been discarded (that's the kind of single minded, "use only the newest version" that I would have expected from MS - now seriously thinking about going to Chrome or Opera

And, after removing 4.0 from my system and finally getting 3.6 to start, Amazon site displayed correctly.

Reproducible: Always

Steps to Reproduce:
1. go to

Actual Results:  
2. that's all, full site doesn't display
3. try to open Firefox 3.6 to see if problem on site or 4.0, 3.6 won't start, ONLY OTHER INSTANCES OF 4.0
4. remove 4.0 from computer
Comment 1 Matthias Versen [:Matti] 2011-01-20 15:34:57 PST
You can't run 3.6 and 4.0 at the same time but you don't have to uninstall 4.0 to run 3.6. Just close all Firefox windows and you can select the version you want to run. 2 independent applications should not write to the same files in your userprofile or they would get damaged. The userprofile contains your bookmark, cookie etc files but that is outside of the scope of this bug report and is a question for the support.

now the bug:
I can see the problem with Seamonkey trunk and FF4.0b9 on win32. There are many errors in the error console and the safemode or disabling the html5 parser doesn't help. I will try to find a regression range.
Comment 2 Matthias Versen [:Matti] 2011-01-20 15:59:01 PST
Last good nightly: 2009-12-01 First bad nightly: 2009-12-02

Comment 3 Matthias Versen [:Matti] 2011-01-20 16:29:09 PST
Boris: Do you have an idea what this could be ? 
There is a TM merge in that regression window but the safemode doesn't help..
Comment 4 Boris Zbarsky [:bz] (still a bit busy) 2011-01-20 19:22:33 PST
The TM merge is the most likely issue.  Matti, can you figure out the regression range on that branch using TM nightlies?  The intersection of the two ranges might be enlightening.
Comment 6 Andreas Gal :gal 2011-01-20 20:38:33 PST
My best guess is that jimb broke something with his strict mode work.
Comment 7 Boris Zbarsky [:bz] (still a bit busy) 2011-01-20 20:55:56 PST
Note that the page's script are in strict mode, btw.  So it's possible that they're just doing stuff that's not allowed there.
Comment 8 Boris Zbarsky [:bz] (still a bit busy) 2011-01-20 20:58:10 PST
Though I only see one JS error loading the page:

Error: assignment to undeclared variable ourPercentOff
Source File:
Line: 5610

That's in the "multi_price_block" function.  The "price_block" function, which is similar, declares that var.

Of course maybe there's something else going on and they're catching the exception or something....
Comment 9 Jeff Walden [:Waldo] (remove +bmo to email) 2011-01-20 21:15:28 PST
The multi_price_block: function in an object literal here assigns to a variable |ourPercentOff| which wasn't declared in that function.  (It clearly should have been, because the price_block: function immediately below it *does* declare a variable of that name.)  This looks like another concatenated script with a strict-ful json2.js at the top and non-strict scripts below it.  So this is just same song, second verse, of the Amazon-accidentally-using-strict-mode-due-to-concatenation bug.

Reminder (or hint, for anyone here who wasn't familiar with the idea) for the future: check the JavaScript error console.  :-)  Mine shows this error pretty clearly and, with a minor bit of source reading, fingers this as a site bug:

Error: assignment to undeclared variable ourPercentOff
Source File:
Line: 5610
Comment 10 Boris Zbarsky [:bz] (still a bit busy) 2011-01-20 21:52:49 PST
Well.... yes, but why did this only start being a problem in the regression range from comment 5?
Comment 11 Jeff Walden [:Waldo] (remove +bmo to email) 2011-01-20 22:54:08 PST
Why wouldn't it?  Using an old build loads the new site code.  Before the first bits of strict mode landed nothing would have gone wrong.  After they landed (which occurred in that regression range), the first strict mode violation would be an error.  The first violation in this script is the one hit here.
Comment 12 Boris Zbarsky [:bz] (still a bit busy) 2011-01-20 22:56:02 PST
Oh, I missed that the undeclared variable thing was in the range.  I thought it had landed earlier.... OK, then!
Comment 13 Brendan Eich [:brendan] 2011-02-18 08:56:55 PST
Kev, any update?

Comment 14 Kev Needham [:kev] 2011-02-18 09:03:03 PST
It's been fixed, I thought... or was that another, related error? Current and upcoming offers are displayed for me right now...
Comment 15 Boris Zbarsky [:bz] (still a bit busy) 2011-02-18 09:15:00 PST
Yeah, this looks fixed.  No more exceptions.
Comment 16 Matthias Versen [:Matti] 2011-02-18 09:26:06 PST
verified fixed

Note You need to log in before you can comment on or make changes to this bug.